Woopsi 1.0 GUI Framework for Nintendo DS Homebrew

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# WoopsiUI::PackedFont16 Class Reference

`#include <packedfont16.h>`

Inheritance diagram for WoopsiUI::PackedFont16:

List of all members.

## Public Member Functions
| PackedFont16 (u8 first, u8 last, const u16 *glyphData, const u16 *glyphOffset, const u8 *glyphWidth, const u8 height, const u8 spWidth, const u8 charTop, const u8 fixedWidth=0)
void | renderChar (const u16 *pixelData, u16 pixelsPerRow, MutableBitmapBase *bitmap, s16 x, s16 y, u16 clipX1, u16 clipY1, u16 clipX2, u16 clipY2)

## Detailed Description

PackedFont16 is a class for managing 16-bit packed fonts.

## Constructor & Destructor Documentation

WoopsiUI::PackedFont16::PackedFont16 | ( | u8 | first,
|  | u8 | last,
|  | const u16 * | glyphData,
|  | const u16 * | glyphOffset,
|  | const u8 * | glyphWidth,
|  | const u8 | height,
|  | const u8 | spWidth,
|  | const u8 | charTop,
|  | const u8 | fixedWidth = `0`
| ) |  | `[inline]`

Constructor.

Parameters:

  first | Ascii index of first character in glphyDdata.
  last | Ascii index of last character in glyphData.
  glyphData | Packed array representing font.
  glyphOffset | Offset into glyphData[] of character[i].
  glyphWidth | Pixel width of character[i].
  spWidth | The height of a space
  height | The height of the font.
  charTop | The height of the font minus the blank spaces below 'a'.
  fixedWidth | Character width (fixed), or 0 for proportional.

## Member Function Documentation

void WoopsiUI::PackedFont16::renderChar | ( | const u16 * | pixelData,
|  | u16 | pixelsPerRow,
|  | MutableBitmapBase * | bitmap,
|  | s16 | x,
|  | s16 | y,
|  | u16 | clipX1,
|  | u16 | clipY1,
|  | u16 | clipX2,
|  | u16 | clipY2
| ) |  | `[virtual]`

Render an individual character of the font to the specified bitmap.

Parameters:

  pixelData | The font-specific pixel data
  pixelsPerRow | The number of pixels to render per row (for this character)
  bitmap | Bitmap to draw to.
  x | The x co-ordinate of the text.
  y | The y co-ordinate of the text.
  clipX1 | The left edge of the clipping rectangle.
  clipY1 | The top edge of the clipping rectangle.
  clipX2 | The right edge of the clipping rectangle.
  clipY2 | The bottom edge of the clipping rectangle.

Implements WoopsiUI::PackedFontBase.

The documentation for this class was generated from the following file:

- packedfont16.h